function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { Node } from 'prosemirror-model';
import ParagraphNodeSpec, { getParagraphNodeAttrs, toParagraphDOM } from './ParagraphNodeSpec';
// https://github.com/ProseMirror/prosemirror-schema-basic/blob/master/src/schema-basic.js
// :: NodeSpec A plain paragraph textblock. Represented in the DOM
// as a `<p>` element.
var HeadingNodeSpec = _objectSpread(_objectSpread({}, ParagraphNodeSpec), {}, {
  attrs: _objectSpread({}, ParagraphNodeSpec.attrs),
  defining: true,
  parseDOM: [{
    tag: 'h1',
    getAttrs: getAttrs
  }, {
    tag: 'h2',
    getAttrs: getAttrs
  }, {
    tag: 'h3',
    getAttrs: getAttrs
  }, {
    tag: 'h4',
    getAttrs: getAttrs
  }, {
    tag: 'h5',
    getAttrs: getAttrs
  }, {
    tag: 'h6',
    getAttrs: getAttrs
  }],
  toDOM: toDOM
});
function toDOM(node) {
  // [FS-SEA][06-04-2023]
  // returns paragraph node to dom when a header node paste
  var dom = toParagraphDOM(node);
  return dom;
}
function getAttrs(dom) {
  var attrs = getParagraphNodeAttrs(dom);
  return attrs;
}
export default HeadingNodeSpec;
import { bpfrpt_proptype_NodeSpec } from "./Types";